package cn.com.qmth.stmms.biz.exam.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.stmms.biz.common.BaseQueryService;
import cn.com.qmth.stmms.biz.exam.dao.DataSyncDao;
import cn.com.qmth.stmms.biz.exam.model.DataSync;
import cn.com.qmth.stmms.biz.exam.service.DataSyncService;

@Service
public class DataSyncServiceImpl extends BaseQueryService<DataSync> implements DataSyncService {

    @Autowired
    private DataSyncDao dataSyncDao;

    @Transactional
    @Override
    public DataSync save(DataSync dataSync) {
        return dataSyncDao.save(dataSync);
    }

    @Override
    public DataSync findByExamId(Integer examId) {
        return dataSyncDao.findOne(examId);
    }

}
