package cn.com.qmth.stmms.biz.mark.model;

import java.io.Serializable;

public class SpecialTagDTO implements Serializable {

    private static final long serialVersionUID = -5424015292124065736L;

    private String tagName;

    private Double positionX;

    private Double positionY;

    private Integer offsetIndex;

    private Integer offsetX;

    private Integer offsetY;

    public SpecialTagDTO() {

    }

    public MarkSpecialTag transform(MarkLibrary library) {
        MarkSpecialTag markSpecialTag = new MarkSpecialTag();
        markSpecialTag.setLibraryId(library.getId());
        markSpecialTag.setTagName(tagName);
        markSpecialTag.setPositionX(positionX);
        markSpecialTag.setPositionY(positionY);
        markSpecialTag.setOffsetIndex(offsetIndex);
        markSpecialTag.setOffsetX(offsetX);
        markSpecialTag.setOffsetY(offsetY);
        return markSpecialTag;
    }

    public TrialTag transform(TrialHistory history) {
        TrialTag tag = new TrialTag();
        tag.setLibraryId(history.getLibraryId());
        tag.setMarkerId(history.getMarkerId());
        tag.setContent(tagName);
        tag.setPositionX(positionX);
        tag.setPositionY(positionY);
        tag.setOffsetIndex(offsetIndex);
        tag.setOffsetX(offsetX);
        tag.setOffsetY(offsetY);
        return tag;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public Double getPositionX() {
        return positionX;
    }

    public void setPositionX(Double positionX) {
        this.positionX = positionX;
    }

    public Double getPositionY() {
        return positionY;
    }

    public void setPositionY(Double positionY) {
        this.positionY = positionY;
    }

    public Integer getOffsetIndex() {
        return offsetIndex;
    }

    public void setOffsetIndex(Integer offsetIndex) {
        this.offsetIndex = offsetIndex;
    }

    public void setOffsetX(Integer offsetX) {
        this.offsetX = offsetX;
    }

    public Integer getOffsetX() {
        return offsetX;
    }

    public Integer getOffsetY() {
        return offsetY;
    }

    public void setOffsetY(Integer offsetY) {
        this.offsetY = offsetY;
    }
}
