package cn.com.qmth.stmms.biz.report.service.impl;

import cn.com.qmth.stmms.biz.report.service.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ReportServiceImpl implements ReportService {

    @Autowired
    private ReportSubjectService reportSubjectService;

    @Autowired
    private ReportSubjectRangeService reportSubjectRangeService;

    @Autowired
    private ReportSubjectCollegeService reportSubjectCollegeService;

    @Autowired
    private ReportSubjectTeacherService reportSubjectTeacherService;

    @Autowired
    private ReportSubjectTeacherClassService reportSubjectTeacherClassService;

    @Autowired
    private ReportSubjectClassService reportSubjectClassService;

    @Autowired
    private ReportSubjectQuestionService reportSubjectQuestionService;

    @Autowired
    private ReportSubjectGroupService reportSubjectGroupService;

    @Autowired
    private ReportSubjectClassGroupService reportSubjectClassGroupService;

    /**
     * 删除数据
     *
     * @param examId
     */
    @Override
    public void deleteData(Integer examId) {

        reportSubjectService.deleteByExamId(examId);

        reportSubjectRangeService.deleteByExamId(examId);

        reportSubjectCollegeService.deleteByExamId(examId);

        reportSubjectTeacherService.deleteByExamId(examId);

        reportSubjectTeacherClassService.deleteByExamId(examId);

        reportSubjectClassService.deleteByExamId(examId);

        reportSubjectQuestionService.deleteByExamId(examId);

        reportSubjectGroupService.deleteByExamId(examId);

        reportSubjectClassGroupService.deleteByExamId(examId);

    }

    /**
     * 删除数据
     *
     * @param examId
     * @param subjectCode
     */
    @Override
    public void deleteData(Integer examId, String subjectCode) {

        reportSubjectService.deleteByExamIdAndSubjectCode(examId, subjectCode);

        reportSubjectRangeService.deleteByExamIdAndSubjectCode(examId, subjectCode);

        reportSubjectCollegeService.deleteByExamIdAndSubjectCode(examId, subjectCode);

        reportSubjectTeacherService.deleteByExamIdAndSubjectCode(examId, subjectCode);

        reportSubjectTeacherClassService.deleteByExamIdAndSubjectCode(examId, subjectCode);

        reportSubjectClassService.deleteByExamIdAndSubjectCode(examId, subjectCode);

        reportSubjectQuestionService.deleteByExamIdAndSubjectCode(examId, subjectCode);

        reportSubjectGroupService.deleteByExamIdAndSubjectCode(examId, subjectCode);

        reportSubjectClassGroupService.deleteByExamIdAndSubjectCode(examId, subjectCode);

    }

}
