package cn.com.qmth.stmms.biz.school.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.school.model.School;

public interface SchoolDao extends PagingAndSortingRepository<School, Integer>, JpaSpecificationExecutor<School>,
        JpaRepository<School, Integer> {

    School findFirstByAccessKey(String accessKey);

    School findByCode(String code);
}
