package cn.com.qmth.stmms.common.annotation;

import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import cn.com.qmth.stmms.common.enums.LogType;

/**
 * 
 * @Description: 日志注解定义
 * @author ting.yin
 */
@Target({ METHOD })
@Retention(RUNTIME)
public @interface Logging {

    /**
     * 操作类型
     */
    LogType type();

    /**
     * 操作菜单
     *
     */
    String menu() default "";
}
