<%@ page language="java" pageEncoding="utf-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>云阅卷高校版</title>
    <link href="${ctxStatic}/mark-new/css/bootstrap.css" rel="stylesheet" type="text/css"/>
    <link href="${ctxStatic}/mark-new/css/style.css" rel="stylesheet" type="text/css"/>
    
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/json2.js"></script>
    
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/jquery.min.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/jquery-ui.min.js "></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/jquery.mousewheel.min.js"></script>
    
    <script type="text/javascript" src="${ctxStatic}/iviewer/jquery.iviewer.js"></script>
    <link rel="stylesheet" href="${ctxStatic}/iviewer/jquery.iviewer.css" rel="stylesheet"/>
    
    <script src="${ctxStatic}/perfect-scrollbar/min/perfect-scrollbar.min.js"></script>
    <link href="${ctxStatic}/perfect-scrollbar/min/perfect-scrollbar.min.css" rel="stylesheet">
    
    <script src="${ctxStatic}/i18n/jquery.i18n.properties.js" type="text/javascript"></script>
    <script src="${ctxStatic}/i18n/load.js" type="text/javascript"></script>
    
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/mark-control.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/task-control.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/modules/sheet-view.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/modules/header-mark-status.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/modules/image-builder.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/modules/warning-info.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/modules/thumbnail.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/modules/single-image-view.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/modules/view-sidebar.js"></script>
    <script type="text/javascript" src="${ctxStatic}/mark-new/js/modules/quality-process.js"></script>
    <script type="text/javascript" src="${ctxStatic}/utils/image-utils.js"></script>

</head>
<body>
<div class="container-fluid" id="container"></div>
<script type="text/javascript">
    $(document).ready(function () {
        var mc = new MarkControl({
            container: $('#container'),
            staticServer: '${ctxStatic}',
            imageServer: '${fileServer}',
            userName: '${web_user.name}',
            logoutTitle: '关闭',
            logoutUrl: 'javascript:window.close()',
            modules: {
                'single-image-view': {},
                'image-builder': {},
                'header-mark-status': {
                    title: '${subject.code}_${subject.name}_${group.title}'
                },
                'quality-process': {
                	forbiddenInfo:${(web_user.subjectHeader==true||web_user.schoolViewer==true) && forbiddenInfo==true}
                },
                /* 'sheet-view': {
                    server: '${fileServer}'
                }, */
                'warning-info': {},
                'thumbnail': {},
                'view-sidebar': {
                    list: [
                        {title: '试卷', url: '<c:if test="${subject.paperUrl!=null}">${fileServer}${subject.paperUrl}</c:if>'},
                        {title: '答案', url: '<c:if test="${subject.answerUrl!=null}">${fileServer}${subject.answerUrl}</c:if>'}
                    ]
                }
            }
        });
        $.post('${ctx}/admin/exam/quality/history?markerId=${markerId}&markerScore=${markerScore}&pageSize=1', {}, function (taskList) {
            mc.setTask(taskList[0]);
        });
    });
</script>
</body>
</html>