<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>考试管理</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
</head>
<body>
	<ul class="nav nav-tabs">
		<li class="active"><a href="${ctx}/admin/exam/paper/detail?subjectCode=${examQuestion.subjectCode }">试题列表</a></li>
	</ul><br/>
	<form id="inputForm" action="${ctx}/admin/exam/paper/question-edit" method="post" class="form-horizontal">
		<tags:message content="${message}"/>
		<input type="hidden"  name="id" value="${examQuestion.id }"/>
		<div class="control-group">
			<label class="control-label">判分策略</label>
			<div class="controls">
				<select class="input-small" name="objectivePolicy">
                <c:forEach items="${objectivePolicyList}" var="item">
                	 <option value="${item.value}" <c:if test="${item.value==examQuestion.objectivePolicy.value}">selected</c:if>>${item.name}</option>
                </c:forEach>
            </select>
			</div>
		</div>
		<div class="form-actions">
			<input id="btnSubmit" class="btn btn-primary" type="submit" value="保 存"/>
			&nbsp;
			<a href="${ctx}/admin/exam/paper/detail?subjectCode=${examQuestion.subjectCode }" class="btn"/>返回</a>
		</div>
	</form>
</body>
</html>
